UPDATEDB(1)

NAME
updatedb - update the slocate database

SYNOPSIS
updatedb [-u] [-U path] [-e path1,path2,...] [-f fstype1,...] [-l [01] ] [-q] [-v,--verbose] [-V, --version] [-h, --help] pattern...

DESCRIPTION
This manual page documents slocate, a security-enhanced version of locate. updatedb is simply a link to slocate that implies the -u option.

OPTIONS

-u  Create slocate database starting at the root directory. This is the default behavior when called as updatedb.

-U path
    Create slocate database starting at path path.

-e dirs
    Exclude directories in the comma-separated list dirs from the slocate database.

-f fstypes
    Exclude file systems in the comma-separated list dirs from the slocate database.

-l <num>
    Security level. -l 0 turns security checks off, which will make searches faster. -l 1 turns security checks on. This is the default.

-q  Quiet mode; error messages are suppressed.

-v  Verbose mode; display files indexed when creating database

--help
    Print a summary of the options to slocate and exit.

--version
    Print the version number of slocate and exit.

CONFIGURATION FILE
Secure Locate's updatedb will automatically parse GNU Locate's /etc/updatedb.conf. But please be aware that Secure Locate currently does NOT support all options provided by GNU Locate's configuration file. Options currently supported by Secure Locate are PRUNEFS and PRUNEPATHS

SEE ALSO
slocate(1)